
CREATE TABLE INPAT_ADMISSIONS_DIAGNOSES
(
  ID                        VARCHAR2(100 CHAR)  NOT NULL,
  INSERT_TIMESTAMP          DATE                DEFAULT SYSDATE               NOT NULL,
  SRC_GENERATION_TIMESTAMP  VARCHAR2(20 CHAR)   NOT NULL,
  SRC_UPDATE_TIMESTAMP      VARCHAR2(20 CHAR)   NOT NULL,
  IS_DELETED                NUMBER(1)           DEFAULT 0                     NOT NULL,
  INPAT_ADMISSION_ID        VARCHAR2(100 CHAR)  NOT NULL,
  DIAGNOSIS_CODE            VARCHAR2(20 CHAR)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE INPAT_ADMISSIONS
(
  ID                              VARCHAR2(100 CHAR) NOT NULL,
  INSERT_TIMESTAMP                DATE          DEFAULT SYSDATE               NOT NULL,
  SRC_GENERATION_TIMESTAMP        VARCHAR2(20 CHAR) NOT NULL,
  SRC_UPDATE_TIMESTAMP            VARCHAR2(20 CHAR) NOT NULL,
  IS_DELETED                      NUMBER(1)     DEFAULT 0                     NOT NULL,
  ORGANIZATION_BI_CODE            VARCHAR2(20 CHAR),
  ORGANIZATION_NAME               VARCHAR2(300 CHAR),
  DEPARTMENT_ID                   VARCHAR2(100 CHAR),
  DEPARTMENT_NAME                 VARCHAR2(300 CHAR),
  REFERENCE_CODE                  VARCHAR2(50 CHAR),
  PATIENT_SOCIAL_SECURITY_NUMBER  VARCHAR2(20 CHAR),
  PATIENT_RECORD_NUMBER           VARCHAR2(20 CHAR),
  NEWBORN                         VARCHAR2(1 CHAR),
  PATIENT_CLASS_CODE              VARCHAR2(10 CHAR),
  PATIENT_CLASS_NAME              VARCHAR2(200 CHAR),
  PATIENT_CLASS_NOTES             VARCHAR2(300 CHAR),
  ADMISSION_DATE_TIME             VARCHAR2(20 CHAR),
  PATIENT_INSURANCE_TYPE_CODE     VARCHAR2(10 CHAR),
  PATIENT_INSURANCE_TYPE_NAME     VARCHAR2(200 CHAR),
  PATIENT_INSURANCE_TYPE_NOTES    VARCHAR2(300 CHAR),
  DOCTOR_SOCIAL_SECURITY_NUMBER   VARCHAR2(20 CHAR)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE INPAT_TRANSFERS_DIAGNOSES
(
  ID                        VARCHAR2(100 CHAR)  NOT NULL,
  INSERT_TIMESTAMP          DATE                DEFAULT SYSDATE               NOT NULL,
  SRC_GENERATION_TIMESTAMP  VARCHAR2(20 CHAR)   NOT NULL,
  SRC_UPDATE_TIMESTAMP      VARCHAR2(20 CHAR)   NOT NULL,
  IS_DELETED                NUMBER(1)           DEFAULT 0                     NOT NULL,
  INPAT_TRANSFER_ID         VARCHAR2(100 CHAR)  NOT NULL,
  DIAGNOSIS_CODE            VARCHAR2(20 CHAR)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;



CREATE TABLE INPAT_TRANSFERS
(
  ID                              VARCHAR2(100 CHAR) NOT NULL,
  INSERT_TIMESTAMP                DATE          DEFAULT SYSDATE               NOT NULL,
  SRC_GENERATION_TIMESTAMP        VARCHAR2(20 CHAR) NOT NULL,
  SRC_UPDATE_TIMESTAMP            VARCHAR2(20 CHAR) NOT NULL,
  IS_DELETED                      NUMBER(1)     DEFAULT 0                     NOT NULL,
  ORGANIZATION_BI_CODE            VARCHAR2(20 CHAR),
  ORGANIZATION_NAME               VARCHAR2(300 CHAR),
  DEPARTMENT_ID                   VARCHAR2(100 CHAR),
  DEPARTMENT_NAME                 VARCHAR2(300 CHAR),
  REFERENCE_CODE                  VARCHAR2(50 CHAR),
  PATIENT_RECORD_NUMBER           VARCHAR2(20 CHAR),
  ACCOMMODATION                   VARCHAR2(1 CHAR),
  DESTINATION_DEPARTMENT_ID       VARCHAR2(100 CHAR),
  DESTINATION_DEPARTMENT_NAME     VARCHAR2(300 CHAR),
  TRANSFER_DATE_TIME              VARCHAR2(20 CHAR),
  PATIENT_INSURANCE_TYPE_CODE     VARCHAR2(10 CHAR),
  PATIENT_INSURANCE_TYPE_NAME     VARCHAR2(200 CHAR),
  PATIENT_INSURANCE_TYPE_NOTES    VARCHAR2(300 CHAR),
  DOCTOR_SOCIAL_SECURITY_NUMBER   VARCHAR2(20 CHAR),
  PATIENT_SOCIAL_SECURITY_NUMBER  VARCHAR2(20 CHAR)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE INPAT_DISCHARGES_DIAGNOSES
(
  ID                        VARCHAR2(100 CHAR)  NOT NULL,
  INSERT_TIMESTAMP          DATE                DEFAULT SYSDATE               NOT NULL,
  SRC_GENERATION_TIMESTAMP  VARCHAR2(20 CHAR)   NOT NULL,
  SRC_UPDATE_TIMESTAMP      VARCHAR2(20 CHAR)   NOT NULL,
  IS_DELETED                NUMBER(1)           DEFAULT 0                     NOT NULL,
  INPAT_DISCHARGE_ID        VARCHAR2(100 CHAR)  NOT NULL,
  DIAGNOSIS_CODE            VARCHAR2(20 CHAR)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;



CREATE TABLE INPAT_DISCHARGES
(
  ID                              VARCHAR2(100 CHAR) NOT NULL,
  INSERT_TIMESTAMP                DATE          DEFAULT SYSDATE               NOT NULL,
  SRC_GENERATION_TIMESTAMP        VARCHAR2(20 CHAR) NOT NULL,
  SRC_UPDATE_TIMESTAMP            VARCHAR2(20 CHAR) NOT NULL,
  IS_DELETED                      NUMBER(1)     DEFAULT 0                     NOT NULL,
  ORGANIZATION_BI_CODE            VARCHAR2(20 CHAR),
  ORGANIZATION_NAME               VARCHAR2(300 CHAR),
  DEPARTMENT_ID                   VARCHAR2(100 CHAR),
  DEPARTMENT_NAME                 VARCHAR2(300 CHAR),
  REFERENCE_CODE                  VARCHAR2(50 CHAR),
  PATIENT_SOCIAL_SECURITY_NUMBER  VARCHAR2(20 CHAR),
  PATIENT_RECORD_NUMBER           VARCHAR2(20 CHAR),
  DISCHARGE_DATE_TIME             VARCHAR2(20 CHAR),
  PATIENT_INSURANCE_TYPE_CODE     VARCHAR2(10 CHAR),
  PATIENT_INSURANCE_TYPE_NAME     VARCHAR2(200 CHAR),
  PATIENT_INSURANCE_TYPE_NOTES    VARCHAR2(300 CHAR),
  DOCTOR_SOCIAL_SECURITY_NUMBER   VARCHAR2(20 CHAR)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE INPAT_TRANSACTIONS_CHARGES
(
  ID                          VARCHAR2(100 CHAR),
  INSERT_TIMESTAMP            DATE              DEFAULT SYSDATE               NOT NULL,
  SRC_GENERATION_TIMESTAMP    VARCHAR2(20 CHAR) NOT NULL,
  SRC_UPDATE_TIMESTAMP        VARCHAR2(20 CHAR) NOT NULL,
  IS_DELETED                  NUMBER(1)         DEFAULT 0                     NOT NULL,
  INPAT_TRANSACTION_ID        VARCHAR2(100 CHAR) NOT NULL,
  LAB_DEPARTMENT_ID           VARCHAR2(100 CHAR),
  LAB_DEPARTMENT_NAME         VARCHAR2(300 CHAR),
  SERIAL_NUMBER               NUMBER(10),
  CHARGE_CODE                 VARCHAR2(300 CHAR),
  CHARGE_CODE_VERSION         VARCHAR2(300 CHAR),
  EOPPY_CHARGE_CODE           VARCHAR2(300 CHAR),
  EOPPY_CHARGE_CODE_VERSION   VARCHAR2(300 CHAR),
  INTERNAL_CHARGE_CODE        VARCHAR2(300 CHAR),
  INTERNAL_CHARGE_NAME        VARCHAR2(300 CHAR),
  CHARGE_IN_TYPE_CODE         VARCHAR2(10 CHAR),
  CHARGE_IN_TYPE_NAME         VARCHAR2(300 CHAR),
  EFFECTIVE_DATE_TIME         VARCHAR2(20 CHAR),
  EXPIRATION_DATE_TIME        VARCHAR2(20 CHAR),
  QUANTITY                    NUMBER(20),
  MEASUREMENT_UNIT_ID         VARCHAR2(100 CHAR),
  MEASUREMENT_UNIT_NAME       VARCHAR2(300 CHAR),
  UNIT_COST                   NUMBER(20),
  TOTAL_COST                  NUMBER(20),
  NET_COST                    NUMBER(20),
  INSURANCE_COVERAGE_PERCENT  NUMBER(20),
  VAT                         NUMBER(20),
  REFERENCE_CHARGE_CODE       VARCHAR2(300 CHAR)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;




CREATE TABLE INPAT_TRANSACTIONS_DIAGNOSES
(
  ID                        VARCHAR2(100 CHAR)  NOT NULL,
  INSERT_TIMESTAMP          DATE                DEFAULT SYSDATE               NOT NULL,
  SRC_GENERATION_TIMESTAMP  VARCHAR2(20 CHAR)   NOT NULL,
  SRC_UPDATE_TIMESTAMP      VARCHAR2(20 CHAR)   NOT NULL,
  IS_DELETED                NUMBER(1)           DEFAULT 0                     NOT NULL,
  INPAT_TRANSACTION_ID      VARCHAR2(100 CHAR)  NOT NULL,
  DIAGNOSIS_CODE            VARCHAR2(20 CHAR),
  DIAGNOSIS_TYPE_CODE       VARCHAR2(10 CHAR),
  DIAGNOSIS_TYPE_NAME       VARCHAR2(300 CHAR)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE INPAT_TRANSACTIONS_NEWBORNS
(
  ID                             VARCHAR2(100 CHAR),
  INSERT_TIMESTAMP               DATE           DEFAULT SYSDATE               NOT NULL,
  SRC_GENERATION_TIMESTAMP       VARCHAR2(20 CHAR) NOT NULL,
  SRC_UPDATE_TIMESTAMP           VARCHAR2(20 CHAR) NOT NULL,
  IS_DELETED                     NUMBER(1)      DEFAULT 0                     NOT NULL,
  INPAT_TRANSACTION_ID           VARCHAR2(100 CHAR) NOT NULL,
  RELATED_REFERENCE_CODE         VARCHAR2(50 CHAR),
  INCUBATOR                      NUMBER(1),
  ANTIBIOTICS                    NUMBER(1),
  RARE_SYNDROMES_DISEASES        NUMBER(1),
  BRAIN_PARALYSIS                NUMBER(1),
  RESUSCITATION                  NUMBER(1),
  NEWBORN_WEIGHT_CATEGORY_CODE   VARCHAR2(10 CHAR),
  NEWBORN_WEIGHT_CATEGORY_NAME   VARCHAR2(100 CHAR),
  BREASTFEEDING_KIND_CODE        VARCHAR2(10 CHAR),
  BREASTFEEDING_WITHIN_ONE_HOUR  NUMBER(1),
  SEX_CODE                       VARCHAR2(10 CHAR),
  SEX_NAME                       VARCHAR2(50 CHAR),
  SEX_CODE_NOTES                 VARCHAR2(300 CHAR)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE INPAT_TRANSACTIONS
(
  ID                              VARCHAR2(100 CHAR),
  INSERT_TIMESTAMP                DATE          DEFAULT SYSDATE               NOT NULL,
  SRC_GENERATION_TIMESTAMP        VARCHAR2(20 CHAR) NOT NULL,
  SRC_UPDATE_TIMESTAMP            VARCHAR2(20 CHAR) NOT NULL,
  IS_DELETED                      NUMBER(1)     DEFAULT 0                     NOT NULL,
  ORGANIZATION_BI_CODE            VARCHAR2(20 CHAR),
  ORGANIZATION_NAME               VARCHAR2(300 CHAR),
  DEPARTMENT_ID                   VARCHAR2(100 CHAR),
  DEPARTMENT_NAME                 VARCHAR2(300 CHAR),
  REFERENCE_CODE                  VARCHAR2(50 CHAR),
  PATIENT_SOCIAL_SECURITY_NUMBER  VARCHAR2(20 CHAR),
  PATIENT_RECORD_NUMBER           VARCHAR2(20 CHAR),
  BIRTH_DATE                      VARCHAR2(20 CHAR),
  SEX_CODE                        VARCHAR2(10 CHAR),
  SEX_NAME                        VARCHAR2(50 CHAR),
  SEX_CODE_NOTES                  VARCHAR2(300 CHAR),
  RESIDENCE_AREA_CODE             VARCHAR2(100 CHAR),
  RESIDENCE_AREA_NAME             VARCHAR2(300 CHAR),
  RESIDENCE_ELSTAT_INDICATOR      NUMBER(1),
  BIRTH_AREA_CODE                 VARCHAR2(100 CHAR),
  BIRTH_AREA_NAME                 VARCHAR2(300 CHAR),
  BIRTH_AREA_ELSTAT_INDICATOR     NUMBER(1),
  MARITAL_STATUS_ID               VARCHAR2(100 CHAR),
  MARITAL_STATUS_NAME             VARCHAR2(300 CHAR),
  NATIONALITY_CODE                VARCHAR2(100 CHAR),
  NATIONALITY_NAME                VARCHAR2(300 CHAR),
  NATIONALITY_ELSTAT_INDICATOR    NUMBER(1),
  CHRONIC_DISEASE                 NUMBER(1),
  HEMODIALYTIC                    NUMBER(1),
  NEUROPATHIC                     NUMBER(1),
  HIV_POSITIVE                    NUMBER(1),
  DISABLED                        NUMBER(1),
  DETAINEE                        NUMBER(1),
  TRAFFICKING                     NUMBER(1),
  ABUSE                           NUMBER(1),
  CONTAGIOUS_DISEASE              NUMBER(1),
  CONTAGIOUS_DISEASE_TYPE_ID      VARCHAR2(10 CHAR),
  CONTAGIOUS_DISEASE_TYPE_NAME    VARCHAR2(300 CHAR),
  DRUG_ADDICT                     NUMBER(1),
  DRUG_CATEGORY_ID                VARCHAR2(100 CHAR),
  DRUG_CATEGORY_NAME              VARCHAR2(300 CHAR),
  HOSPITALIZATION_OUTCOME_ID      VARCHAR2(100 CHAR),
  HOSPITALIZATION_OUTCOME_NAME    VARCHAR2(300 CHAR),
  ADMISSION_TYPE_CODE             VARCHAR2(10 CHAR),
  ADMISSION_TYPE_NAME             VARCHAR2(300 CHAR),
  PATIENT_CLASS_CODE              VARCHAR2(10 CHAR),
  PATIENT_CLASS_NAME              VARCHAR2(300 CHAR),
  PATIENT_CLASS_NOTES             VARCHAR2(300 CHAR),
  ADMISSION_DATE_TIME             VARCHAR2(20 CHAR),
  DISCHARGE_DATE_TIME             VARCHAR2(20 CHAR),
  PATIENT_INSURANCE_TYPE_CODE     VARCHAR2(10 CHAR),
  PATIENT_INSURANCE_TYPE_NAME     VARCHAR2(200 CHAR),
  PATIENT_INSURANCE_TYPE_NOTES    VARCHAR2(300 CHAR),
  INSURANCE_PROPERTY_CODE         VARCHAR2(10 CHAR),
  HOSPITALIZATION_CLASS_CODE      VARCHAR2(10 CHAR),
  HOSPITALIZATION_CLASS_NAME      VARCHAR2(300 CHAR),
  DOCTOR_SOCIAL_SECURITY_NUMBER   VARCHAR2(20 CHAR),
  PRIVATE_INSURANCE_COVERAGE      NUMBER(1),
  INCIDENT_SEVERITY_CAT_CODE      VARCHAR2(10 CHAR),
  INCIDENT_SEVERITY_CAT_NAME      VARCHAR2(200 CHAR),
  PROFESSION_CODE                 VARCHAR2(100 CHAR),
  PROFESSION_NAME                 VARCHAR2(300 CHAR),
  PROFESSION_ELSTAT_INDICATOR     NUMBER(1),
  PROFESSIONAL_STATUS_CODE        VARCHAR2(10 CHAR),
  PROFESSIONAL_STATUS_NAME        VARCHAR2(200 CHAR),
  BIRTH_OUTCOME_CODE              VARCHAR2(10 CHAR),
  BIRTH_OUTCOME_NAME              VARCHAR2(200 CHAR),
  ASSISTED_CONCEPTION             NUMBER(1),
  BIRTH_KIND_CODE                 VARCHAR2(10 CHAR),
  BIRTH_KIND_NAME                 VARCHAR2(200 CHAR),
  PREVIOUS_PREGNANCIES_NUMBER     NUMBER(2),
  PREVIOUS_MISCARRIAGES_NUMBER    NUMBER(2),
  PREVIOUS_ABORTIONS_NUMBER       NUMBER(2),
  EARLY_CHILDBIRTH                NUMBER(1)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE EXPAT_TRANSACTIONS_CHARGES
(
  ID                          VARCHAR2(100 CHAR),
  INSERT_TIMESTAMP            DATE              DEFAULT SYSDATE               NOT NULL,
  SRC_GENERATION_TIMESTAMP    VARCHAR2(20 CHAR) NOT NULL,
  SRC_UPDATE_TIMESTAMP        VARCHAR2(20 CHAR) NOT NULL,
  IS_DELETED                  NUMBER(1)         DEFAULT 0                     NOT NULL,
  EXPAT_TRANSACTION_ID        VARCHAR2(100 CHAR) NOT NULL,
  LAB_DEPARTMENT_ID           VARCHAR2(100 CHAR),
  LAB_DEPARTMENT_NAME         VARCHAR2(300 CHAR),
  SERIAL_NUMBER               NUMBER(10),
  CHARGE_CODE                 VARCHAR2(300 CHAR),
  CHARGE_CODE_VERSION         VARCHAR2(300 CHAR),
  EOPPY_CHARGE_CODE           VARCHAR2(300 CHAR),
  EOPPY_CHARGE_CODE_VERSION   VARCHAR2(300 CHAR),
  INTERNAL_CHARGE_CODE        VARCHAR2(300 CHAR),
  INTERNAL_CHARGE_NAME        VARCHAR2(300 CHAR),
  CHARGE_EX_TYPE_CODE         VARCHAR2(10 CHAR),
  CHARGE_EX_TYPE_NAME         VARCHAR2(300 CHAR),
  CHARGE_DATE_TIME            VARCHAR2(20 CHAR),
  QUANTITY                    NUMBER(20),
  MEASUREMENT_UNIT_ID         VARCHAR2(100 CHAR),
  MEASUREMENT_UNIT_NAME       VARCHAR2(300 CHAR),
  UNIT_COST                   NUMBER(20),
  TOTAL_COST                  NUMBER(20),
  NET_COST                    NUMBER(20),
  INSURANCE_COVERAGE_PERCENT  NUMBER(20),
  VAT                         NUMBER(20)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE EXPAT_TRANSACTIONS_DIAGNOSES
(
  ID                        VARCHAR2(100 CHAR)  NOT NULL,
  INSERT_TIMESTAMP          DATE                DEFAULT SYSDATE               NOT NULL,
  SRC_GENERATION_TIMESTAMP  VARCHAR2(20 CHAR)   NOT NULL,
  SRC_UPDATE_TIMESTAMP      VARCHAR2(20 CHAR)   NOT NULL,
  IS_DELETED                NUMBER(1)           DEFAULT 0                     NOT NULL,
  EXPAT_TRANSACTION_ID      VARCHAR2(100 CHAR)  NOT NULL,
  DIAGNOSIS_CODE            VARCHAR2(20 CHAR),
  DIAGNOSIS_TYPE_CODE       VARCHAR2(10 CHAR),
  DIAGNOSIS_TYPE_NAME       VARCHAR2(300 CHAR)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE EXPAT_TRANSACTIONS
(
  ID                              VARCHAR2(100 CHAR),
  INSERT_TIMESTAMP                DATE          DEFAULT SYSDATE               NOT NULL,
  SRC_GENERATION_TIMESTAMP        VARCHAR2(20 CHAR) NOT NULL,
  SRC_UPDATE_TIMESTAMP            VARCHAR2(20 CHAR) NOT NULL,
  IS_DELETED                      NUMBER(1)     DEFAULT 0                     NOT NULL,
  ORGANIZATION_BI_CODE            VARCHAR2(20 CHAR),
  ORGANIZATION_NAME               VARCHAR2(300 CHAR),
  DEPARTMENT_ID                   VARCHAR2(100 CHAR),
  DEPARTMENT_NAME                 VARCHAR2(300 CHAR),
  REFERENCE_CODE                  VARCHAR2(50 CHAR),
  PATIENT_SOCIAL_SECURITY_NUMBER  VARCHAR2(20 CHAR),
  PATIENT_RECORD_NUMBER           VARCHAR2(20 CHAR),
  BIRTH_DATE                      VARCHAR2(20 CHAR),
  SEX_CODE                        VARCHAR2(10 CHAR),
  SEX_NAME                        VARCHAR2(50 CHAR),
  SEX_CODE_NOTES                  VARCHAR2(300 CHAR),
  RESIDENCE_AREA_CODE             VARCHAR2(100 CHAR),
  RESIDENCE_AREA_NAME             VARCHAR2(300 CHAR),
  RESIDENCE_ELSTAT_INDICATOR      NUMBER(1),
  BIRTH_AREA_CODE                 VARCHAR2(100 CHAR),
  BIRTH_AREA_NAME                 VARCHAR2(300 CHAR),
  BIRTH_AREA_ELSTAT_INDICATOR     NUMBER(1),
  MARITAL_STATUS_ID               VARCHAR2(100 CHAR),
  MARITAL_STATUS_NAME             VARCHAR2(300 CHAR),
  NATIONALITY_CODE                VARCHAR2(100 CHAR),
  NATIONALITY_NAME                VARCHAR2(300 CHAR),
  NATIONALITY_ELSTAT_INDICATOR    NUMBER(1),
  CHRONIC_DISEASE                 NUMBER(1),
  HEMODIALYTIC                    NUMBER(1),
  NEUROPATHIC                     NUMBER(1),
  HIV_POSITIVE                    NUMBER(1),
  DISABLED                        NUMBER(1),
  DETAINEE                        NUMBER(1),
  TRAFFICKING                     NUMBER(1),
  ABUSE                           NUMBER(1),
  CONTAGIOUS_DISEASE              NUMBER(1),
  CONTAGIOUS_DISEASE_TYPE_ID      VARCHAR2(10 CHAR),
  CONTAGIOUS_DISEASE_TYPE_NAME    VARCHAR2(300 CHAR),
  DRUG_ADDICT                     NUMBER(1),
  DRUG_CATEGORY_ID                VARCHAR2(100 CHAR),
  DRUG_CATEGORY_NAME              VARCHAR2(300 CHAR),
  REFERRAL_CODE                   VARCHAR2(100 CHAR),
  DELIVERY_DATETIME               VARCHAR2(20 CHAR),
  PATIENT_INSURANCE_TYPE_CODE     VARCHAR2(10 CHAR),
  PATIENT_INSURANCE_TYPE_NAME     VARCHAR2(200 CHAR),
  PATIENT_INSURANCE_TYPE_NOTES    VARCHAR2(300 CHAR),
  INSURANCE_PROPERTY_CODE         VARCHAR2(10 CHAR),
  PATIENT_PARTICIPATION_AMOUNT    NUMBER(20),
  DOCTOR_SOCIAL_SECURITY_NUMBER   VARCHAR2(20 CHAR),
  PRIVATE_INSURANCE_COVERAGE      NUMBER(1),
  INCIDENT_SEVERITY_CAT_CODE      VARCHAR2(10 CHAR),
  INCIDENT_SEVERITY_CAT_NAME      VARCHAR2(200 CHAR),
  PROFESSION_CODE                 VARCHAR2(100 CHAR),
  PROFESSION_NAME                 VARCHAR2(300 CHAR),
  PROFESSION_ELSTAT_INDICATOR     NUMBER(1),
  PROFESSIONAL_STATUS_CODE        VARCHAR2(10 CHAR),
  PROFESSIONAL_STATUS_NAME        VARCHAR2(200 CHAR),
  REFERRALS_NUMBER                NUMBER(20),
  ADMISSION_TYPE_CODE             VARCHAR2(10 BYTE),
  ADMISSION_TYPE_NAME             VARCHAR2(300 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


ALTER TABLE INPAT_ADMISSIONS ADD (
  CONSTRAINT INPATIENT_ADMISSIONS_PK
 PRIMARY KEY
 (ID));

ALTER TABLE INPAT_DISCHARGES ADD (
  CONSTRAINT INPATIENT_DISCHARGES_PK
 PRIMARY KEY
 (ID));

ALTER TABLE INPAT_DISCHARGES_DIAGNOSES ADD (
  CONSTRAINT INPAT_DISCHARGES_DIAGNO_PK
 PRIMARY KEY
 (ID));

ALTER TABLE INPAT_TRANSACTIONS ADD (
  CONSTRAINT INPATIENT_TRANSACTIONS_PK
 PRIMARY KEY
 (ID));

ALTER TABLE INPAT_TRANSACTIONS_CHARGES ADD (
  CONSTRAINT INPAT_TRANSACTIONS_CHAR_PK
 PRIMARY KEY
 (ID));

ALTER TABLE INPAT_TRANSFERS ADD (
  CONSTRAINT INPATIENT_TRANSFERS_PK
 PRIMARY KEY
 (ID));

ALTER TABLE INPAT_TRANSACTIONS_DIAGNOSES ADD (
  CONSTRAINT INPAT_TRANSACTIONS_DIAGNPK
 PRIMARY KEY
 (ID));

ALTER TABLE INPAT_TRANSACTIONS_NEWBORNS ADD (
  CONSTRAINT INPAT_TRANSACTIONS_NEWB_PK
 PRIMARY KEY
 (ID));

ALTER TABLE INPAT_TRANSFERS_DIAGNOSES ADD (
  CONSTRAINT INPAT_TRANSFERS_DIAGNO_PK
 PRIMARY KEY
 (ID));

ALTER TABLE INPAT_ADMISSIONS_DIAGNOSES ADD (
  CONSTRAINT INPAT_ADMISSIONS_DIAGNO_PK
 PRIMARY KEY
 (ID));

 ALTER TABLE EXPAT_TRANSACTIONS_CHARGES ADD (
  CONSTRAINT EXPAT_TRANSACTIONS_CHAR_PK
 PRIMARY KEY
 (ID));

ALTER TABLE EXPAT_TRANSACTIONS ADD (
  CONSTRAINT EXPATIENT_TRANSACTIONS_PK
 PRIMARY KEY
 (ID));

ALTER TABLE EXPAT_TRANSACTIONS_DIAGNOSES ADD (
  CONSTRAINT EXPAT_TRANSACTIONS_DIAGNPK
 PRIMARY KEY
 (ID));

ALTER TABLE EXPAT_TRANSACTIONS_CHARGES ADD (
  CONSTRAINT EXPAT_TRANSACTIONS_CHA_R01 
 FOREIGN KEY (EXPAT_TRANSACTION_ID) 
 REFERENCES EXPAT_TRANSACTIONS (ID));

ALTER TABLE INPAT_DISCHARGES_DIAGNOSES ADD (
  CONSTRAINT INPAT_DISCHARGES_DIAGN_R01 
 FOREIGN KEY (INPAT_DISCHARGE_ID) 
 REFERENCES INPAT_DISCHARGES (ID));

ALTER TABLE INPAT_TRANSACTIONS_CHARGES ADD (
  CONSTRAINT INPAT_TRANSACTIONS_CHA_R01 
 FOREIGN KEY (INPAT_TRANSACTION_ID) 
 REFERENCES INPAT_TRANSACTIONS (ID));

ALTER TABLE INPAT_TRANSACTIONS_DIAGNOSES ADD (
  CONSTRAINT INPAT_TRANSACTIONS_DIA_R01 
 FOREIGN KEY (INPAT_TRANSACTION_ID) 
 REFERENCES INPAT_TRANSACTIONS (ID));

ALTER TABLE INPAT_TRANSACTIONS_NEWBORNS ADD (
  CONSTRAINT INPAT_TRANSACTIONS_NEW_R01 
 FOREIGN KEY (INPAT_TRANSACTION_ID) 
 REFERENCES INPAT_TRANSACTIONS (ID));

ALTER TABLE INPAT_TRANSFERS_DIAGNOSES ADD (
  CONSTRAINT INPAT_TRANSFERS_DIAGN_R01 
 FOREIGN KEY (INPAT_TRANSFER_ID) 
 REFERENCES INPAT_TRANSFERS (ID));

ALTER TABLE INPAT_ADMISSIONS_DIAGNOSES ADD (
  CONSTRAINT INPAT_ADMISSIONS_DIAGN_R01 
 FOREIGN KEY (INPAT_ADMISSION_ID) 
 REFERENCES INPAT_ADMISSIONS (ID));

ALTER TABLE EXPAT_TRANSACTIONS_DIAGNOSES ADD (
  CONSTRAINT EXPAT_TRANSACTIONS_DIA_R01 
 FOREIGN KEY (EXPAT_TRANSACTION_ID) 
 REFERENCES EXPAT_TRANSACTIONS (ID));
